package com.xhpc.order.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * 订单redis数据
 */
public class XhpcOrderRedisRecord extends BaseEntity {

    /**
     * 订单redis数据id
     */
    private Long orderRedisRecordId;
    /**
     * 充电订单id
     */
    private Long chargeOrderId;
    /**
     * 充电订单号
     */
    private String serialNumber;
    /**
     * 历史订单id
     */
    private Long historyOrderOd;
    /**
     * 结束soc
     */
    private String endSoc;
    /**
     * 状态
     */
    private String status;
    /**
     * 下发余额
     */
    private String balance;
    /**
     * 用户电话
     */
    private String tel;
    /**
     * 开始soc
     */
    private String startSoc;
    /**
     * 启动结果
     */
    private String startResult;
    /**
     * 实时数据集合
     */
    private String realtimeDataList;
    /**
     * 剩余时间
     */
    private String remainingTime;
    /**
     * 计费模型id
     */
    private String rateModelId;
    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;

    /**
     *
     */
    private String lt5alerted;

    /**
     * 实时数据
     */
    private String orderData;

    public Long getOrderRedisRecordId() {

        return orderRedisRecordId;
    }

    public void setOrderRedisRecordId(Long orderRedisRecordId) {

        this.orderRedisRecordId = orderRedisRecordId;
    }

    public Long getChargeOrderId() {

        return chargeOrderId;
    }

    public void setChargeOrderId(Long chargeOrderId) {

        this.chargeOrderId = chargeOrderId;
    }

    public Long getHistoryOrderOd() {

        return historyOrderOd;
    }

    public void setHistoryOrderOd(Long historyOrderOd) {

        this.historyOrderOd = historyOrderOd;
    }

    public String getEndSoc() {

        return endSoc;
    }

    public void setEndSoc(String endSoc) {

        this.endSoc = endSoc;
    }

    public String getStatus() {

        return status;
    }

    public void setStatus(String status) {

        this.status = status;
    }

    public String getBalance() {

        return balance;
    }

    public void setBalance(String balance) {

        this.balance = balance;
    }

    public String getTel() {

        return tel;
    }

    public void setTel(String tel) {

        this.tel = tel;
    }

    public String getStartSoc() {

        return startSoc;
    }

    public void setStartSoc(String startSoc) {

        this.startSoc = startSoc;
    }

    public String getStartResult() {

        return startResult;
    }

    public void setStartResult(String startResult) {

        this.startResult = startResult;
    }

    public String getRealtimeDataList() {

        return realtimeDataList;
    }

    public void setRealtimeDataList(String realtimeDataList) {

        this.realtimeDataList = realtimeDataList;
    }

    public String getRemainingTime() {

        return remainingTime;
    }

    public void setRemainingTime(String remainingTime) {

        this.remainingTime = remainingTime;
    }

    public String getRateModelId() {

        return rateModelId;
    }

    public void setRateModelId(String rateModelId) {

        this.rateModelId = rateModelId;
    }

    public String getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(String delFlag) {

        this.delFlag = delFlag;
    }

    public String getLt5alerted() {

        return lt5alerted;
    }

    public void setLt5alerted(String lt5alerted) {

        this.lt5alerted = lt5alerted;
    }

    public String getOrderData() {

        return orderData;
    }

    public void setOrderData(String orderData) {

        this.orderData = orderData;
    }

    public String getSerialNumber() {

        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {

        this.serialNumber = serialNumber;
    }

}
